---
search:
  tags:
    - Groups
    - GET
seo:
  description: >-
    List message groups (conversations) for a single company or person. Provide
    exactly one of companyId… Reference for the GET /groups endpoint in the
    Modem API.
sidebar:
  label: List groups
  badge: GET
title: List groups
type: openapi-operation
---
List message groups (conversations) for a single company or person. Provide exactly one of companyId or personId.

`GET /groups`

**Responses**

- `200` — OK
- `400` — Invalid request (validation failed).
- `401` — Missing or invalid API key.
- `403` — The API key does not have access to this resource.
- `404` — The requested resource was not found.
- `429` — Rate limit exceeded.
- `500` — Internal server error.

Response example, 200:

```json
{
  "data": [
    {
      "group": {
        "archivedAt": "2019-08-24T14:15:22Z",
        "endTimestamp": null,
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "startTimestamp": null
      },
      "messages": [
        {
          "content": "string",
          "createdAt": "2019-08-24T14:15:22Z",
          "deletedAt": "2019-08-24T14:15:22Z",
          "editedAt": "2019-08-24T14:15:22Z",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "isInternal": true,
          "metadata": {
            "property1": null,
            "property2": null
          },
          "replyToId": "019c0f01-e197-45eb-8a17-c9811c373be9",
          "sourceMessageId": "string",
          "sourceMessageType": "string",
          "sourceName": "string",
          "sourceReplyToId": "string",
          "sourceThreadId": "string",
          "sourceUrl": "http://example.com",
          "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
          "title": "string",
          "author": {
            "displayName": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "isBot": true,
            "sourceAuthorId": "string",
            "sourceAvatarUrl": "http://example.com",
            "sourceName": "string"
          },
          "channel": {
            "channelName": "string",
            "id": "string",
            "serverName": "string"
          },
          "reactions": [
            {
              "count": 1,
              "identifier": "string",
              "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",
              "unicode": "string"
            }
          ],
          "replyTo": {
            "content": "string",
            "createdAt": "2019-08-24T14:15:22Z",
            "deletedAt": "2019-08-24T14:15:22Z",
            "editedAt": "2019-08-24T14:15:22Z",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "isInternal": true,
            "metadata": {
              "property1": null,
              "property2": null
            },
            "replyToId": "019c0f01-e197-45eb-8a17-c9811c373be9",
            "sourceMessageId": "string",
            "sourceMessageType": "string",
            "sourceName": "string",
            "sourceReplyToId": "string",
            "sourceThreadId": "string",
            "sourceUrl": "http://example.com",
            "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
            "title": "string",
            "author": {
              "displayName": "string",
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "isBot": true,
              "sourceAuthorId": "string",
              "sourceAvatarUrl": "http://example.com",
              "sourceName": "string"
            }
          },
          "thread": {
            "content": "string",
            "createdAt": "2019-08-24T14:15:22Z",
            "deletedAt": "2019-08-24T14:15:22Z",
            "editedAt": "2019-08-24T14:15:22Z",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "isInternal": true,
            "metadata": {
              "property1": null,
              "property2": null
            },
            "replyToId": "019c0f01-e197-45eb-8a17-c9811c373be9",
            "sourceMessageId": "string",
            "sourceMessageType": "string",
            "sourceName": "string",
            "sourceReplyToId": "string",
            "sourceThreadId": "string",
            "sourceUrl": "http://example.com",
            "threadId": "51f72284-0555-48fe-a20a-4369ee94dc3e",
            "title": "string",
            "author": {
              "displayName": "string",
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "isBot": true,
              "sourceAuthorId": "string",
              "sourceAvatarUrl": "http://example.com",
              "sourceName": "string"
            }
          }
        }
      ],
      "topic": {
        "isV2": true,
        "keywords": [
          "string"
        ],
        "linkedIssueKey": "string",
        "sources": [
          "string"
        ],
        "topicId": "97b608a9-302e-4387-a5f4-fd35969cdc21",
        "topicTitle": "string",
        "topicType": "string"
      }
    }
  ],
  "limit": 1,
  "page": 1,
  "totalCount": 0
}
```
